<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Data User</title>
</head>

<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Data User</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <div class="row">
                                                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right">
                                                    <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                                </div>
                                                <div class="col-md-5 col-sm-6 col-xs-12 form-group pull-left top_search">
                                                    <a th:href="@{/user/add}" class="btn btn-md btn-info">Tambah</a>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped table-hover">
                                                        <thead>
                                                        <tr>
                                                            <th>No</th>
                                                            <th>Username</th>
                                                            <th>Status</th>
                                                            <th>Role</th>
                                                            <th>Action</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="u, row : ${listUser}">
                                                            <td th:text="${(row.index + 1) + (listUser.number * listUser.size)}">#</td>
                                                            <td th:text="${u.username}">muamalah</td>
                                                            <td th:text="${u.active} ? 'Active' : 'Inactive'">10-08-2017</td>
                                                            <td th:text="${u.role.name}">muamalah</td>
                                                            <td>
                                                                <a th:href="@{/user/add(id=${u.id})}" class="btn btn-md btn-warning"><i class="fa fa-pencil-square-o"></i></a>
                                                            </td>
                                                            <!-- <td>-->
<!--                                                                <form th:action="@{/followup/nonAktif(fu=${p.id})}" th:if="${p.status.AKTIF == p.status}" method="post">-->
<!--                                                                    <button class="btn btn-xs btn-info">Aktif</button>-->
<!--                                                                </form>-->
<!--                                                                <form th:action="@{/followup/aktif(fu=${p.id})}" th:if="${p.status.NONAKTIF == p.status}" method="post">-->
<!--                                                                    <button class="btn btn-xs btn-danger">Tidak Aktif</button>-->
<!--                                                                </form>-->
<!--                                                            </td>-->
                                                        </tr>

                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-right">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
<th:block layout:fragment="script">
    <script>
        function updateKategori(arg) {
            var id = arg.getAttribute('id');
            var value = arg.value;
            var idSc = id;

            var token = $("input[name='_csrf']").val();
            var url = "/kategori/update/" + idSc + '?kategori=' + value;

            $.ajax({
                url: url,
                contentType: "application/json;charset=UTF-8",
                headers: {"X-CSRF-TOKEN": token},
                method: 'post',
                dataType: 'JSON',
                success: function (data) {
                }
            })
        }</script>
</th:block>
</html>